<?php
//передача по значению
$a=2;
$b=$a;
$b=4;

var_dump([$a,$b]);

//передача по ссылке (это значит что если я по коду поменяю (в данном случае)  значение переменной $b1 хоть что-то
// то значение переменной $a1 будет тоже измененно т.к есть строка кода котороя говорит изменить значение $a1 вот сдесь  $b1=&$a1;
$a1=2;
$b1=&$a1;
$b1=4;
$c1=5;
$b1 = $c1;
echo "<br>";
var_dump([$a1,$b1]);